# Class ArchivePatientObservationsService

Namespace
  adas_core.Application.Services

Assembly
  adas-core.Application.dll

    public class ArchivePatientObservationsService : IArchivedPatientObservationService

Inheritance
  object
  ArchivePatientObservationsService

Implements
  IArchivedPatientObservationService

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### ArchivePatientObservationsService(IObservationArchiveRepository)

    public ArchivePatientObservationsService(IObservationArchiveRepository archivedPatientObservationService)

#### Parameters

`archivedPatientObservationService` IObservationArchiveRepository

## Methods

### FindArchivedPatientObservationsFromPatient(ObjectId)

Retrieves all archived patient observations associated with the specified patient.

    public Task<List<PatientObservation>> FindArchivedPatientObservationsFromPatient(ObjectId patientId)

#### Parameters

`patientId` ObjectId

  The unique identifier of the patient whose archived observations are being requested.

#### Returns

Task<List<PatientObservation>>

  A task that represents the asynchronous operation, containing a list of archived PatientObservation records for the patient.